> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gmapscrawl.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a customer webhook endpoint



## OpenAPI

````yaml PATCH /webhook-endpoints/{id}
openapi: 3.1.0
info:
  title: G Maps Crawl API
  version: 1.0.0
  description: >-
    Durable Google Maps Search, Reviews, and Photos operations. Scraped content
    is untrusted third-party data.
servers:
  - url: https://gmapscrawl.com/api/v1
security: []
paths:
  /webhook-endpoints/{id}:
    patch:
      summary: Update a customer webhook endpoint
      operationId: updateWebhookEndpoint
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              minProperties: 1
              properties:
                url:
                  type: string
                  format: uri
                  maxLength: 2048
                event_types:
                  type: array
                  minItems: 1
                  maxItems: 6
                  uniqueItems: true
                  items:
                    $ref: '#/components/schemas/CustomerWebhookEventType'
                description:
                  type:
                    - string
                    - 'null'
                  minLength: 1
                  maxLength: 200
                status:
                  type: string
                  enum:
                    - active
                    - paused
      responses:
        '200':
          description: Webhook endpoint updated
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - data
                  - request_id
                  - schema_version
                properties:
                  data:
                    type: object
                    additionalProperties: true
                  request_id:
                    type: string
                    pattern: ^req_[A-Za-z0-9_-]+$
                  schema_version:
                    type: string
                    const: '2026-09-22'
        '400':
          $ref: '#/components/responses/Error'
        '401':
          $ref: '#/components/responses/Error'
        '403':
          $ref: '#/components/responses/Error'
        '404':
          $ref: '#/components/responses/Error'
        '409':
          $ref: '#/components/responses/Error'
        '422':
          $ref: '#/components/responses/Error'
        '429':
          $ref: '#/components/responses/Error'
        '503':
          $ref: '#/components/responses/Error'
      security:
        - ApiKey: []
        - BearerApiKey: []
components:
  schemas:
    CustomerWebhookEventType:
      type: string
      enum:
        - scrape.started
        - scrape.progress
        - scrape.completed
        - scrape.failed
        - scrape.canceled
        - export.ready
  responses:
    Error:
      description: Public error response
      content:
        application/json:
          schema:
            type: object
            additionalProperties: false
            required:
              - error
              - request_id
              - schema_version
            properties:
              error:
                type: object
                additionalProperties: false
                required:
                  - code
                  - message
                  - details
                  - retryable
                properties:
                  code:
                    type: string
                    enum:
                      - invalid_request
                      - unauthorized
                      - forbidden
                      - not_found
                      - idempotency_conflict
                      - idempotency_in_progress
                      - rate_limited
                      - concurrency_limited
                      - quota_exceeded
                      - capability_unavailable
                      - job_not_ready
                      - job_canceled
                      - job_already_completed
                      - plan_limit_exceeded
                      - capacity_temporarily_unavailable
                      - provider_authentication_failed
                      - provider_blocked
                      - provider_timeout
                      - provider_submission_unknown
                      - provider_contract_changed
                      - result_import_failed
                      - result_limit_reached
                      - canceled_by_user
                      - internal_error
                  message:
                    type: string
                  details:
                    type: array
                    items:
                      type: string
                    maxItems: 20
                  retryable:
                    type: boolean
              request_id:
                type: string
              schema_version:
                type: string
                const: '2026-09-22'
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: API-KEY
    BearerApiKey:
      type: http
      scheme: bearer

````